Legrand / Raritan / Server Technology Xerus™ JSON-RPC API: pdumodel::OverCurrentProtector::Sensors Struct Reference

Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
pdumodel::OverCurrentProtector::Sensors Struct Reference

Overcurrent protector sensors. More...

`import "OverCurrentProtector.idl";`

## Public Attributes
sensors::StateSensor | trip
| Trip sensor (an instance of `OverCurrentProtectorTripSensor`)
sensors::NumericSensor | voltage
| RMS voltage sensor.
sensors::NumericSensor | current
| RMS current sensor.
sensors::NumericSensor | peakCurrent
| Peak current sensor.
sensors::NumericSensor | maximumCurrent
| Maximum current sensor.
sensors::NumericSensor | activePower
| Active power sensor.
sensors::NumericSensor | reactivePower
| Reactive power sensor.
sensors::NumericSensor | apparentPower
| Apparent power sensor.
sensors::NumericSensor | powerFactor
| Power factor sensor.
sensors::NumericSensor | displacementPowerFactor
| Displacement power factor sensor.
sensors::NumericSensor | crestFactor
| Crest factor sensor.
sensors::NumericSensor | activeEnergy
| Active energy sensor.
sensors::NumericSensor | apparentEnergy
| Apparent energy sensor.
sensors::NumericSensor | phaseAngle
| Phase angle sensor.
sensors::NumericSensor | lineFrequency
| AC line frequency sensor.
sensors::NumericSensor | residualCurrent
| Residual current sensor.
sensors::NumericSensor | residualACCurrent
| AC Residual current sensor.
sensors::NumericSensor | residualDCCurrent
| DC Residual current sensor.
ResidualCurrentStateSensor | residualCurrentStatus
| Residual current monitor state sensor.

## Detailed Description

Overcurrent protector sensors.

Definition at line 51 of file OverCurrentProtector.idl.

## Member Data Documentation

## ◆ activeEnergy

sensors::NumericSensor pdumodel::OverCurrentProtector::Sensors::activeEnergy

Active energy sensor.

Definition at line 63 of file OverCurrentProtector.idl.

## ◆ activePower

sensors::NumericSensor pdumodel::OverCurrentProtector::Sensors::activePower

Active power sensor.

Definition at line 57 of file OverCurrentProtector.idl.

## ◆ apparentEnergy

sensors::NumericSensor pdumodel::OverCurrentProtector::Sensors::apparentEnergy

Apparent energy sensor.

Definition at line 64 of file OverCurrentProtector.idl.

## ◆ apparentPower

sensors::NumericSensor pdumodel::OverCurrentProtector::Sensors::apparentPower

Apparent power sensor.

Definition at line 59 of file OverCurrentProtector.idl.

## ◆ crestFactor

sensors::NumericSensor pdumodel::OverCurrentProtector::Sensors::crestFactor

Crest factor sensor.

Definition at line 62 of file OverCurrentProtector.idl.

## ◆ current

sensors::NumericSensor pdumodel::OverCurrentProtector::Sensors::current

RMS current sensor.

Definition at line 54 of file OverCurrentProtector.idl.

## ◆ displacementPowerFactor

sensors::NumericSensor pdumodel::OverCurrentProtector::Sensors::displacementPowerFactor

Displacement power factor sensor.

Definition at line 61 of file OverCurrentProtector.idl.

## ◆ lineFrequency

sensors::NumericSensor pdumodel::OverCurrentProtector::Sensors::lineFrequency

AC line frequency sensor.

Definition at line 66 of file OverCurrentProtector.idl.

## ◆ maximumCurrent

sensors::NumericSensor pdumodel::OverCurrentProtector::Sensors::maximumCurrent

Maximum current sensor.

Definition at line 56 of file OverCurrentProtector.idl.

## ◆ peakCurrent

sensors::NumericSensor pdumodel::OverCurrentProtector::Sensors::peakCurrent

Peak current sensor.

Definition at line 55 of file OverCurrentProtector.idl.

## ◆ phaseAngle

sensors::NumericSensor pdumodel::OverCurrentProtector::Sensors::phaseAngle

Phase angle sensor.

Definition at line 65 of file OverCurrentProtector.idl.

## ◆ powerFactor

sensors::NumericSensor pdumodel::OverCurrentProtector::Sensors::powerFactor

Power factor sensor.

Definition at line 60 of file OverCurrentProtector.idl.

## ◆ reactivePower

sensors::NumericSensor pdumodel::OverCurrentProtector::Sensors::reactivePower

Reactive power sensor.

Definition at line 58 of file OverCurrentProtector.idl.

## ◆ residualACCurrent

sensors::NumericSensor pdumodel::OverCurrentProtector::Sensors::residualACCurrent

AC Residual current sensor.

(AC portion of residual operating current)

Definition at line 68 of file OverCurrentProtector.idl.

## ◆ residualCurrent

sensors::NumericSensor pdumodel::OverCurrentProtector::Sensors::residualCurrent

Residual current sensor.

Definition at line 67 of file OverCurrentProtector.idl.

## ◆ residualCurrentStatus

ResidualCurrentStateSensor pdumodel::OverCurrentProtector::Sensors::residualCurrentStatus

Residual current monitor state sensor.

Definition at line 72 of file OverCurrentProtector.idl.

## ◆ residualDCCurrent

sensors::NumericSensor pdumodel::OverCurrentProtector::Sensors::residualDCCurrent

DC Residual current sensor.

(DC portion of residual operating current)

Definition at line 70 of file OverCurrentProtector.idl.

## ◆ trip

sensors::StateSensor pdumodel::OverCurrentProtector::Sensors::trip

Trip sensor (an instance of `OverCurrentProtectorTripSensor`)

Definition at line 52 of file OverCurrentProtector.idl.

## ◆ voltage

sensors::NumericSensor pdumodel::OverCurrentProtector::Sensors::voltage

RMS voltage sensor.

Definition at line 53 of file OverCurrentProtector.idl.

The documentation for this struct was generated from the following file:

- OverCurrentProtector.idl